create sequence guest_serial;
create table guestbook(
id Number(10) not null,
name varchar2(32) not null,
email varchar2(72) not null,
gdate TIMESTAMP not null,
message blob not null,
primary key(id)
);
create table subject 
(
   no            smallint not null auto_increment,
   nickname      varchar(32) not null,
   postdate      timestamp(8) not null,
   subject       varchar(32) not null,
   hits          smallint not null,
   reply         smallint not null,
   level_color   char(7) not null default '#000000',
   recent_reply  datetime,
   primary key(no)
);

create table content 
(
   main smallint not null,
   postdate datetime not null,
   nickname varchar(32) not null,
   sex enum("M", "F") default "M",
   level_color char(7) not null default '#000000',
   email varchar(64),
   homepage_name varchar(32),
   homepage_url varchar(64),
   emotion tinyint not null,
   message blob not null
)
